//
//
// Pov-file for the POVRAY ray-tracing program 
// ===========================================
//
// Made when: September 15 2013
//
// By Stefan Spaennare, Lund, Sweden
//
// E-mail: stefan@spaennare.se
//
// Home page of the author: 
// http://www.spaennare.se/index.html
//
// The image and this pov-file are available on the web-page:
// http://www.spaennare.se/povray.html
//
// The hanging chain pov-file was generated with the mkcoshyp.c 
// program found in the package sspov1.zip.
//
// This pov-file is free to copy or change if this header appears
// in all copies.
//
// The POVRAY ray-tracing program can be downloaded for free from:
// http://www.povray.org
//
//
                                          
#version 3.6  


#include "colors.inc"
#include "shapes.inc"


camera {
   location <0, 2.0, -10>
   up       <0.0, 1.0, 0.0>
   right    <4/3, 0.0, 0.0>
   look_at  <0, 0, 0>
}                     



light_source { <0.0, 20.0, -160.0> color rgb 0.50}


sky_sphere { pigment {rgb <0.6, 0.6, 0.6>} }



#declare steeltexture = texture {
// pigment { color red 0.5 green 0.5 blue 0.5 }
   pigment { color red 0.5 green 0.45 blue 0.35 }
   finish {
      ambient 0.035
      reflection 0.4
      diffuse 1.0
      phong 1.0
      phong_size 3.0
   }
}



// Start of computer generated code.   


#declare s1 = sphere {
   <0.0, 0.0,  -0.22667872125041>,   0.22667872125041
}


#declare c1 = cylinder {
    -0.22667872125041*z, 1.2*z,   0.22667872125041
}


#declare l3 = union {
   object { c1 }
   object { s1 }
   texture { steeltexture }
}


#declare l1 = cylinder {
   -2.0*z, 2.0*z, 1.0
}


#declare l2 = intersection {
   torus { 2.0, 1.0 }
   plane { 1.0*z, 0.0 inverse }
}


#declare link = union {
   object { l1
      translate -2.0*x
   }
   object { l1
      translate 2.0*x
   }
   object { l2
      translate 2.0*z
   }
   object { l2
      translate 2.0*z
      rotate 180*x
   }
   rotate 90*x
   scale   0.22667872125041
   texture { steeltexture }
}


union {


   object { l3
      translate  -4.00000000000000*x
      translate   7.52439138216726*y
   }


   object { l3
      translate   4.00000000000002*x
      translate   7.52439138216735*y
   }


   object { link
      translate  -0.45335744250083*y
      rotate  16.40349025539686*z
      translate  -4.00000000000000*x
      translate   7.52439138216726*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.90671488500166*y
      rotate  20.30006198584269*z
      translate  -3.74547813168095*x
      translate   6.65979471630204*y
   }
   object { link
      translate  -0.45335744250083*y
      rotate  26.08730607356409*z
      translate  -3.12010276678338*x
      translate   4.96919104977035*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.90671488500166*y
      rotate  36.75792652558653*z
      translate  -2.72377295359115*x
      translate   4.15972736605574*y
   }
   object { link
      translate  -0.45335744250083*y
      rotate  55.61278536689768*z
      translate  -1.64505507723006*x
      translate   2.71556572429590*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.90671488500166*y
      rotate  89.99999999999787*z
      translate  -0.90128174067712*x
      translate   2.20653723795083*y
   }
   object { link
      translate  -0.45335744250083*y
      rotate 124.38721463309940*z
      translate   0.90128174067698*x
      translate   2.20653723795076*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.90671488500166*y
      rotate 143.24207347441191*z
      translate   1.64505507722995*x
      translate   2.71556572429580*y
   }
   object { link
      translate  -0.45335744250083*y
      rotate 153.91269392643522*z
      translate   2.72377295359107*x
      translate   4.15972736605560*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.90671488500166*y
      rotate 159.69993801415728*z
      translate   3.12010276678335*x
      translate   4.96919104977027*y
   }
   object { link
      translate  -0.45335744250083*y
      rotate 163.59650974460334*z
      translate   3.74547813168098*x
      translate   6.65979471630212*y
   }


   scale   1.70000000000000
   translate  -9.25000000000000*y
   translate   4.00000000000000*z


}
