//
//
// Pov-file for the POVRAY ray-tracing program 
// ===========================================
//
// Made when: September 15 2013
//
// By Stefan Spaennare, Lund, Sweden
//
// E-mail: stefan@spaennare.se
//
// Home page of the author: 
// http://www.spaennare.se/index.html
//
// The image and this pov-file are available on the web-page:
// http://www.spaennare.se/povray.html 
//
// The hanging chain pov-file was generated with the mkcoshyp.c 
// program found in the package sspov1.zip.
//
// This pov-file is free to copy or change if this header appears
// in all copies.
//
// The POVRAY ray-tracing program can be downloaded for free from:
// http://www.povray.org
//
//
                                          
#version 3.6  

#include "colors.inc"
#include "shapes.inc"


camera {
   location <0, 2.0, -10>
   up       <0.0, 1.0, 0.0>
   right    <4/3, 0.0, 0.0>
   look_at  <0, 0, 0>
}                     



light_source { <0.0, 20.0, -160.0> color rgb 0.50}


sky_sphere { pigment {rgb <0.6, 0.6, 0.6>} }



#declare steeltexture = texture {
// pigment { color red 0.5 green 0.5 blue 0.5 }
   pigment { color red 0.5 green 0.45 blue 0.35 }
   finish {
      ambient 0.035
      reflection 0.4
      diffuse 1.0
      phong 1.0
      phong_size 3.0
   }
}



// Start of computer generated code.

#declare s1 = sphere {
   <0.0, 0.0,  -0.11699546903247>,   0.11699546903247
}


#declare c1 = cylinder {
    -0.11699546903247*z, 1.2*z,   0.11699546903247
}


#declare l3 = union {
   object { c1 }
   object { s1 }
   texture { steeltexture }
}


#declare l1 = cylinder {
   -2.0*z, 2.0*z, 1.0
}


#declare l2 = intersection {
   torus { 2.0, 1.0 }
   plane { 1.0*z, 0.0 inverse }
}


#declare link = union {
   object { l1
      translate -2.0*x
   }
   object { l1
      translate 2.0*x
   }
   object { l2
      translate 2.0*z
   }
   object { l2
      translate 2.0*z
      rotate 180*x
   }
   rotate 90*x
   scale   0.11699546903247
   texture { steeltexture }
}


union {


   object { l3
      translate  -4.00000000000000*x
      translate   7.52439138216726*y
   }


   object { l3
      translate   3.99999999999993*x
      translate   7.52439138216700*y
   }


   object { link
      translate  -0.23399093806494*y
      rotate  15.90727336732327*z
      translate  -4.00000000000000*x
      translate   7.52439138216726*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.46798187612989*y
      rotate  17.59001572196239*z
      translate  -3.87192374663838*x
      translate   7.07499273046901*y
   }
   object { link
      translate  -0.23399093806494*y
      rotate  19.60456622728859*z
      translate  -3.58948836766771*x
      translate   6.18410499567899*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.46798187612989*y
      rotate  22.18565226817850*z
      translate  -3.43269914060869*x
      translate   5.74390071003231*y
   }
   object { link
      translate  -0.23399093806494*y
      rotate  25.39725629717579*z
      translate  -3.07979118676140*x
      translate   4.87850676771190*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.46798187612989*y
      rotate  29.75084414472301*z
      translate  -2.87937304923013*x
      translate   4.45637498145088*y
   }
   object { link
      translate  -0.23399093806494*y
      rotate  35.44820719611134*z
      translate  -2.41560417498791*x
      translate   3.64497549255675*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.46798187612989*y
      rotate  43.69227328584372*z
      translate  -2.14458979686371*x
      translate   3.26429993296127*y
   }
   object { link
      translate  -0.23399093806494*y
      rotate  54.90876364698691*z
      translate  -1.49899200087881*x
      translate   2.58853800364517*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.46798187612989*y
      rotate  70.87247743172861*z
      translate  -1.11663533513094*x
      translate   2.31990059935908*y
   }
   object { link
      translate  -0.23399093806494*y
      rotate  89.99999999999635*z
      translate  -0.23364646093170*x
      translate   2.01366319580759*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.46798187612989*y
      rotate 109.12752256826485*z
      translate   0.23364646093145*x
      translate   2.01366319580756*y
   }
   object { link
      translate  -0.23399093806494*y
      rotate 125.09123635300810*z
      translate   1.11663533513072*x
      translate   2.31990059935895*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.46798187612989*y
      rotate 136.30772671415286*z
      translate   1.49899200087861*x
      translate   2.58853800364501*y
   }
   object { link
      translate  -0.23399093806494*y
      rotate 144.55179280388649*z
      translate   2.14458979686357*x
      translate   3.26429993296108*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.46798187612989*y
      rotate 150.24915585527555*z
      translate   2.41560417498779*x
      translate   3.64497549255657*y
   }
   object { link
      translate  -0.23399093806494*y
      rotate 154.60274370282320*z
      translate   2.87937304923004*x
      translate   4.45637498145071*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.46798187612989*y
      rotate 157.81434773182070*z
      translate   3.07979118676133*x
      translate   4.87850676771173*y
   }
   object { link
      translate  -0.23399093806494*y
      rotate 160.39543377271082*z
      translate   3.43269914060862*x
      translate   5.74390071003211*y
   }
   object { link
      rotate  90.00000000000000*y
      translate  -0.46798187612989*y
      rotate 162.40998427803697*z
      translate   3.58948836766764*x
      translate   6.18410499567877*y
   }
   object { link
      translate  -0.23399093806494*y
      rotate 164.09272663267615*z
      translate   3.87192374663831*x
      translate   7.07499273046876*y
   }


   scale   1.70000000000000
   translate  -9.25000000000000*y
   translate   4.00000000000000*z


}
