//
//
// Pov-file for the POVRAY ray-tracing program 
// ===========================================
//
// Made when: February 5 2014
//
// By Stefan Spaennare, Lund, Sweden
//
// E-mail: stefan@spaennare.se
//
// Home page of the author: 
// http://www.spaennare.se/index.html
//
// The image and this pov-file are available on the web-page:
// http://www.spaennare.se/povray.html
//
// This pov-file is free to copy or change if this header appears
// in all copies.
//
// References:
//
// The POVRAY ray-tracing program can be downloaded for free from:
// http://www.povray.org
//
//


#include "colors.inc"
#include "shapes.inc"
#include "woods.inc" 

#version 3.6;

camera {
   location <0, 0, -40>
   up <0.0, 1.0, 0.0>
   right <4/3, 0.0, 0.0>
   look_at <0, 0, 0>
}

light_source { <30.0, 30.0, -60.0> color rgb 0.70}

light_source { <-10.0, 0.0, -200.0> color rgb 0.55}

sky_sphere { pigment {rgb <1.0,1.0,1.0> } }


#declare wood1 = texture {
   T_Wood11
    scale 8.0
    rotate 90.0*x
}

union {

text { ttf "cyrvetic.ttf" "Isabell" 1, 0
   scale 13.0
   translate <-17.4, -4.6, -3.0>
   texture { wood1 
   }
}

cylinder { -1.0*z, 1.0*z, 1.0
   scale <22.0, 15.4, 1.0>
   texture { wood1 }
}

intersection {
   cylinder { -3.0*z, 3.0*z, 1.0
      scale <24.0, 17.4, 1.0>
   }
   cylinder { -3.0*z, 3.0*z, 1.0 open inverse
      scale <22.0, 15.4, 1.0>
   }
   texture { wood1 }
}

}
